Name:           amahi-dlna
Version: 0.92.2
Release:        1

Summary:        amahi-dlna is the Amahi DLNA daemon, which is the Amahi port of MiniDLNA.

Group:          System Environment/Daemons
Source:		amahi-dlna-%{version}.tar.gz
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libvorbis-devel libid3tag-devel libexif-devel
BuildRequires: libjpeg-devel sqlite-devel libid3tag-devel libexif-devel
BuildRequires: flac-devel ffmpeg-devel

Obsoletes: amahi-corey

%define debug_package %{nil}

%description
amahi-dlna is the Amahi DLNA daemon, which is the Amahi port of
MiniDLNA. MiniDLNA is a media server that aims to be fully
compliant to the DLNA/UpNP AV protocol.

%prep
%setup -q
(cd minidlna && ./genconfig.sh)

%build
(cd minidlna && make)


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT/var/hda/apps/dlna
mkdir -p $RPM_BUILD_ROOT%{_bindir}

install -m 0755 -D -p amahi-dlna.initscript ${RPM_BUILD_ROOT}%{_initrddir}/amahi-dlna
install -m 0664 -D -p amahi.conf ${RPM_BUILD_ROOT}/var/hda/apps/dlna/amahi.conf

(cd minidlna && install -m 0755 minidlna $RPM_BUILD_ROOT%{_bindir}/amahi-dlna)

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
/sbin/chkconfig --add amahi-dlna
/sbin/chkconfig amahi-dlna on
/sbin/service amahi-dlna start 2>&1 > /dev/null

%preun

if [ "$1" != 0 ]; then
	/sbin/service amahi-dlna condrestart 2>&1 > /dev/null
else
	# not an update, a complete uninstall
	/sbin/service amahi-dlna stop 2>&1 > /dev/null
	/sbin/chkconfig --del amahi-dlna
fi

%files
%defattr(-,root,root,-)
%{_initrddir}/amahi-dlna
%{_bindir}/amahi-dlna
%config(noreplace)%attr(-,apache,users) /var/hda/apps/dlna/amahi.conf

%changelog
* Wed Dec 23 2009 carlos puchol
- initial version of Amahi DLNA Server, a port of MiniDLNA
